#!/usr/bin/python
#
# Author: Honza Horak <hhorak@redhat.com>
#
# This is a simple tool to generate SCL meta package from a template
#
# License: Public Domain

from jinja2 import Template
import os
import sys
import argparse

parser = argparse.ArgumentParser(description='Generate SCL meta package.')
parser.add_argument('sclname', metavar='sclname',
                   help='Name of the Software Collection without version suffix')
parser.add_argument('versionsuffix', metavar='version',
                   help='Version suffix for the Software Collection')
parser.add_argument('mainpkg', metavar='package', nargs='+',
                   help='Package that creates the collection')
parser.add_argument('--template', metavar='file', default='metascl.spec.template',
                   help='Package that creates the collection')
args = parser.parse_args()

sclname=args.sclname + args.versionsuffix
tvars={"sclname": sclname,
       "mainpkgs": " ".join([sclname+'-'+p for p in args.mainpkg]),
       "sclbase": args.sclname,
       "versionsuffix": args.versionsuffix,
}

temp = Template(open(args.template, "r").read()).render(tvars)

print(temp)
	    	
